path: /build/build/tcsh-app-shells-6.24.13.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-shells/tcsh -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-shells/tcsh
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tcsh && luet-portage --dir /pkgdir/tcsh
    app-shells/tcsh && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6dddccb1c616145fe3dfd34bcd83261e74dbaa17a0ecae6bc37bc4916d6d76de
  package:
    name: tcsh
    version: 6.24.13
    category: app-shells
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Enhanced version of the Berkeley C shell (csh)
    uri:
    - https://www.tcsh.org/
    license: BSD
    buildtimestamp: 2024-07-04 20:43:58.433470333 +0000 UTC m=+90.654192414
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv sys-devel/gettext
        doc? ( dev-lang/perl )'
      IUSE: nls doc
      RDEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv'
      emerge.packages: app-shells/tcsh
      kit: core-kit
      original.package.name: app-shells/tcsh
      original.package.slot: "0"
      original.package.version: 6.24.13
    treedir: /build/packages
  package_dir: /pkgdir/tcsh
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 227610a69182f5db3b6d84471e3e0329e102265783f12bcfae6abefbedb62e1c
compressiontype: zstd
files:
- bin/csh
- bin/tcsh
- etc/csh.cshrc
- etc/csh.login
- usr/share/doc/tcsh-6.24.13/FAQ.bz2
- usr/share/doc/tcsh-6.24.13/Fixes.bz2
- usr/share/doc/tcsh-6.24.13/Ported.bz2
- usr/share/doc/tcsh-6.24.13/README.md.bz2
- usr/share/doc/tcsh-6.24.13/WishList.bz2
- usr/share/doc/tcsh-6.24.13/Y2K.bz2
- usr/share/locale/C/LC_MESSAGES/tcsh.cat
- usr/share/locale/de/LC_MESSAGES/tcsh.cat
- usr/share/locale/el/LC_MESSAGES/tcsh.cat
- usr/share/locale/es/LC_MESSAGES/tcsh.cat
- usr/share/locale/et/LC_MESSAGES/tcsh.cat
- usr/share/locale/fi/LC_MESSAGES/tcsh.cat
- usr/share/locale/fr/LC_MESSAGES/tcsh.cat
- usr/share/locale/it/LC_MESSAGES/tcsh.cat
- usr/share/locale/ja/LC_MESSAGES/tcsh.cat
- usr/share/locale/pl/LC_MESSAGES/tcsh.cat
- usr/share/locale/ru/LC_MESSAGES/tcsh.cat
- usr/share/locale/ru_UA/LC_MESSAGES/tcsh.cat
- usr/share/man/man1/tcsh.1.bz2
- var/db/pkg/app-shells/tcsh-6.24.13/BDEPEND
- var/db/pkg/app-shells/tcsh-6.24.13/BUILD_TIME
- var/db/pkg/app-shells/tcsh-6.24.13/CATEGORY
- var/db/pkg/app-shells/tcsh-6.24.13/CBUILD
- var/db/pkg/app-shells/tcsh-6.24.13/CFLAGS
- var/db/pkg/app-shells/tcsh-6.24.13/CHOST
- var/db/pkg/app-shells/tcsh-6.24.13/CONTENTS
- var/db/pkg/app-shells/tcsh-6.24.13/COUNTER
- var/db/pkg/app-shells/tcsh-6.24.13/CXXFLAGS
- var/db/pkg/app-shells/tcsh-6.24.13/DEFINED_PHASES
- var/db/pkg/app-shells/tcsh-6.24.13/DEPEND
- var/db/pkg/app-shells/tcsh-6.24.13/DESCRIPTION
- var/db/pkg/app-shells/tcsh-6.24.13/EAPI
- var/db/pkg/app-shells/tcsh-6.24.13/FEATURES
- var/db/pkg/app-shells/tcsh-6.24.13/HOMEPAGE
- var/db/pkg/app-shells/tcsh-6.24.13/INHERITED
- var/db/pkg/app-shells/tcsh-6.24.13/IUSE
- var/db/pkg/app-shells/tcsh-6.24.13/IUSE_EFFECTIVE
- var/db/pkg/app-shells/tcsh-6.24.13/KEYWORDS
- var/db/pkg/app-shells/tcsh-6.24.13/LDFLAGS
- var/db/pkg/app-shells/tcsh-6.24.13/LICENSE
- var/db/pkg/app-shells/tcsh-6.24.13/NEEDED
- var/db/pkg/app-shells/tcsh-6.24.13/PF
- var/db/pkg/app-shells/tcsh-6.24.13/RDEPEND
- var/db/pkg/app-shells/tcsh-6.24.13/REQUIRES
- var/db/pkg/app-shells/tcsh-6.24.13/RESTRICT
- var/db/pkg/app-shells/tcsh-6.24.13/SIZE
- var/db/pkg/app-shells/tcsh-6.24.13/SLOT
- var/db/pkg/app-shells/tcsh-6.24.13/USE
- var/db/pkg/app-shells/tcsh-6.24.13/environment.bz2
- var/db/pkg/app-shells/tcsh-6.24.13/repository
- var/db/pkg/app-shells/tcsh-6.24.13/tcsh-6.24.13.ebuild
package_cacheimage: ""
runtime:
  name: tcsh
  version: 6.24.13
  category: app-shells
  use_flags:
  - -doc
  requires:
  - name: libxcrypt
    version: '>=0'
    category: sys-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  - name: libiconv
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Enhanced version of the Berkeley C shell (csh)
  uri:
  - https://www.tcsh.org/
  license: BSD
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv sys-devel/gettext
      doc? ( dev-lang/perl )'
    IUSE: nls doc
    RDEPEND: '>=sys-libs/ncurses-5.1:0= sys-libs/libxcrypt virtual/libiconv'
    emerge.packages: app-shells/tcsh
    kit: core-kit
    original.package.name: app-shells/tcsh
    original.package.slot: "0"
    original.package.version: 6.24.13
